


void Nastavitve()
{
	//Nastavljamo:	1 - Sqelch
	//				2 - Glasnost
	//				3 - VHF / UHF
	//				4 - Delovanje (Spomini / Frekvenca)
	//

	const char meni_0[5][15] = {"  Glasnost  ","  Squelch   "," VHF / UHF  ","Memo/Frekv. ","   Nazaj    "};
	//const char meni_1[5][15] = {" SetUp "," I disch "," U cut off "," I cut off "," Return "};
	//const char meni_2[3][15] = {" Discharge "," Start/Stop "," Return "};
	//const char meni_3[5][15] = {" Internal R "," Low I "," Medium I "," High I "," Return "};
	//const char meni_4[6][15] = {"Menu 4","SubMenu 41","SubMenu 42","SubMenu 43","SubMenu 44","Return"};
	//const char meni_5[6][15] = {"Menu 5","SubMenu 51","SubMenu 52","SubMenu 53","SubMenu 54","Return"};

	byte MenuPoz = 0;
	byte lupiram = true;
	
	//MojGLCD.clrScr();
	ZbrisiPodrocje(2,2,80,45);
	MojGLCD.drawRoundRect(2,2,80,45);
	MojGLCD.update();

	do
	{
		for (byte k = 0; k < 5; k++){
			if (MenuPoz == k)
			{
				MojGLCD.invertText(true);
			}
			else
			{
				MojGLCD.invertText(false);
			}
			MojGLCD.print(String(meni_0[k]),CENTER,(k*8)+5);
			MojGLCD.update();
		}
		if (eDir == 1)
		{
			MenuPoz++;
			eDir = 0;
		}
		if (eDir == 2)
		{
			MenuPoz--;
			eDir = 0;
		}
		if (MenuPoz == 255)
		{
			MenuPoz = 0;
		}
		if (MenuPoz == 5)
		{
			MenuPoz = 4;
		}
		//Tipka na enkoderju
		if (digitalRead(ENC_Stk) == LOW)
		{
			delay(DebTime);
			if (digitalRead(ENC_Stk) == LOW)
			{
				do
				{
					//poakam, da model spusti tipko
				} while (digitalRead(ENC_Stk) == LOW);
				//Nastavim glasnost
				if (MenuPoz == 0)
				{
					NastaviGlasnost();
				}
				//Nastavim Squelch
				if (MenuPoz == 1)
				{
					NastaviSquelch();
				}
				//Nastavim VHF/UHF podroje
				if (MenuPoz == 2)
				{
					NastaviVU();
				}
				//Nastavim Mode dela
				if (MenuPoz == 3)
				{
					NastaviMode();
				}
				//Grem nazaj v menu
				if (MenuPoz == 4)
				{
					lupiram = false;
				}
			}
		}
	} while (lupiram == true);
	
	MojGLCD.clrScr();
	MojGLCD.update();
	OsnovniZaslon();
}

void NastaviGlasnost()
{
	byte lupiram = true;
	
	ZbrisiPodrocje(28,21,67,36);
	MojGLCD.drawRoundRect(30,22,65,32);
	MojGLCD.print("Vol:",32,24);
	
	
	do
	{
		if (digitalRead(ENC_Stk) == LOW)
		{
			delay(DebTime);
			if (digitalRead(ENC_Stk) == LOW)
			{
				do
				{
					//poakam, da model spusti tipko
				} while (digitalRead(ENC_Stk) == LOW);
				lupiram = false;
			}
		}
		MojGLCD.printNumI(vol,55,24);
		MojGLCD.update();
		if (eDir == 1)
		{
			vol++;
			eDir = 0;
			if (vol == 9)
			{
				vol = 8;
			}
		}
		if (eDir == 2)
		{
			vol--;
			eDir = 0;
			if (vol < 0)
			{
				vol = 0;
			}
		}
	} while (lupiram == true);
	Nastavi_Vol_DRA();
}

void NastaviSquelch()
{
	byte lupiram = true;
	
	ZbrisiPodrocje(28,29,67,43);
	MojGLCD.drawRoundRect(30,30,65,40);
	MojGLCD.print("Sql:",32,32);
	
	
	do
	{
		if (digitalRead(ENC_Stk) == LOW)
		{
			delay(DebTime);
			if (digitalRead(ENC_Stk) == LOW)
			{
				do
				{
					//poakam, da model spusti tipko
				} while (digitalRead(ENC_Stk) == LOW);
				lupiram = false;
			}
		}
		MojGLCD.printNumI(squ,55,32);
		MojGLCD.update();
		if (eDir == 1)
		{
			squ++;
			eDir = 0;
			if (squ == 9)
			{
				squ = 8;
			}
		}
		if (eDir == 2)
		{
			squ--;
			eDir = 0;
			if (squ < 0)
			{
				squ = 0;
			}
		}
	} while (lupiram == true);
	//Nastavi_DRA();
}

void NastaviMode()
{
	byte lupiram = true;
	
	ZbrisiPodrocje(9,16,75,30);
	MojGLCD.drawRoundRect(9,17,75,28);
	PrikaziIzbiroModa();
	
	do
	{
		if (digitalRead(ENC_Stk) == LOW)
		{
			delay(DebTime);
			if (digitalRead(ENC_Stk) == LOW)
			{
				do
				{
					//poakam, da model spusti tipko
				} while (digitalRead(ENC_Stk) == LOW);
				lupiram = false;
			}
		}
		if ((eDir == 1) || (eDir == 2))
		{
			eDir = 0;
			if (ModeDela == 1)
			{
				ModeDela = 2;
			}
			else
			{
				ModeDela = 1;
			}
			PrikaziIzbiroModa();
		}
	} while (lupiram == true);
	
}



void PrikaziIzbiroModa()
{
	if (ModeDela == 2)					// Frekvenni nain dela
	{
		MojGLCD.print("Memo",13,19);
		MojGLCD.invertText(true);
		MojGLCD.print("Freq.",42,19);
		MojGLCD.invertText(false);
	}
	else                               // Spominski nain dela
	{
		MojGLCD.invertText(true);
		MojGLCD.print("Memo",13,19);
		MojGLCD.invertText(false);
		MojGLCD.print("Freq.",42,19);
	}
	MojGLCD.update();
}


void NastaviVU()
{
	byte lupiram = true;
	
	ZbrisiPodrocje(9,16,75,30);
	MojGLCD.drawRoundRect(9,17,75,28);
	PrikaziIzbiroVU();
	
	do
	{
		if (digitalRead(ENC_Stk) == LOW)
		{
			delay(DebTime);
			if (digitalRead(ENC_Stk) == LOW)
			{
				do
				{
					//poakam, da model spusti tipko
				} while (digitalRead(ENC_Stk) == LOW);
				lupiram = false;
			}
		}
		if ((eDir == 1) || (eDir == 2))
		{
			eDir = 0;
			if (Podrocje == 1)
			{
				Podrocje = 2;
			}
			else
			{
				Podrocje = 1;
			}
			PrikaziIzbiroVU();
		}
	} while (lupiram == true);
	
}


void PrikaziIzbiroVU()
{
	if (Podrocje == 2)					// UHF opodroje
	{
		MojGLCD.print(" VHF ",13,19);
		MojGLCD.invertText(true);
		MojGLCD.print(" UHF ",42,19);
		MojGLCD.invertText(false);
	}
	else                               // VHF podroje
	{
		MojGLCD.invertText(true);
		MojGLCD.print(" VHF ",13,19);
		MojGLCD.invertText(false);
		MojGLCD.print(" UHF ",42,19);
	}
	MojGLCD.update();
}
